import React, { ReactNode } from 'react';
import { SelectOption, SelectOptionType, SelectVariant } from '../../types';
declare type SelectContentProps = {
    multiple: boolean;
    isClearable: boolean;
    isLoading: boolean;
    isVisible: boolean;
    setIsVisible: (data: boolean) => void;
    searchInputValue: string;
    setSearchInputValue: React.Dispatch<React.SetStateAction<string>>;
    options: SelectOption[];
    setOptions: React.Dispatch<React.SetStateAction<SelectOption[]>>;
    selectedOptions: SelectOption[];
    selectedOptionsWithValuesOnly?: (string | number)[];
    filteredOptions: SelectOption[];
    shouldShowSearchInput: boolean;
    selectAllIsSelected: boolean;
    shouldShowNoResultsLabel: boolean;
    isFullWidthVariant: boolean;
    optionType: SelectOptionType;
    onSelect: (e: SelectOption[]) => void;
    onSearchChange: (e: string) => void;
};
export declare const SelectContext: React.Context<SelectContentProps>;
declare type SelectProviderProps = {
    children: ReactNode;
    selectedOptions?: SelectOption[];
    minOptionsToDisplaySearch?: number;
    variant?: SelectVariant;
    optionType: SelectOptionType;
    onSelect: (e: SelectOption[]) => void;
    multiple?: boolean;
    isClearable?: boolean;
    isLoading?: boolean;
    searchInitialValue?: string;
    onSearchChange?: (e: string) => void;
};
export declare function SelectProvider({ children, selectedOptions, minOptionsToDisplaySearch, variant, optionType, onSelect, multiple, isClearable, isLoading, searchInitialValue, onSearchChange, }: SelectProviderProps): JSX.Element;
export {};
